#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,m,s=0,br=0,r=0;
    cin>>n>>m;
    if(n==1)
    {

        long long x[m];
        for(int i=0;i<m;i++)
        {
            cin>>x[i];
        }
        long long st=0;
        while(st<30)
        {
            br=0;
        for(int i=0;i<m;i++)
        {
            if(x[i]%2==1)
                br++;
            x[i]=x[i]/2;
        }
        r=min(br,m-br)*pow(2,st);
        s=s+r;
        st++;
        }
        cout<<s;
    }
    else
        cout<<8;
}